datablock fxDtsBrickData(brickGlobalSpawnData : brickSpawnpointData) { uiName = "Global Spawn"; };

function brickGlobalSpawnData::onPlant(%data, %brick)
{ if(!isObject(GlobalSpawns)) new SimSet(GlobalSpawns); GlobalSpawns.add(%brick); Parent::onPlant(%data, %brick); }

function brickGlobalSpawnData::onLoadPlant(%data, %brick)
{ if(!isObject(GlobalSpawns)) new SimSet(GlobalSpawns); GlobalSpawns.add(%brick); Parent::onLoadPlant(%data, %brick); }

package GlobalSpawn
{
	function GameConnection::createPlayer(%cl, %trans)
	{
		if(!isObject(%cl.checkpointBrick) && %cl.brickgroup.spawnBrickCount == 0)
		{
			if(isObject(GlobalSpawns) && GlobalSpawns.getCount() != 0)
				%trans = GlobalSpawns.getObject(getRandom(0, GlobalSpawns.getCount() - 1)).getSpawnpoint();
		}
		Parent::createPlayer(%cl, %trans);
	}
	
	function servercmdPlantBrick(%cl)
	{
		if(isObject(%pl = %cl.player) && isObject(%temp = %pl.tempbrick))
		{
			if(%temp.getDatablock().getID() == brickGlobalSpawnData.getID() && !(%cl.isAdmin | %cl.isSuperAdmin))
			{ %cl.centerPrint("<color:FF8000>Whoops!<color:FFFFFF> Only admins can plant global spawnpoints.", 3); return; }
		}
		%brick = Parent::servercmdPlantBrick(%cl);
	}
};
activatePackage("GlobalSpawn");